Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAStatusReceivedTypes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAStatusReceivedTypes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAStatusReceivedTypes

extends java.lang.Object

`SNAStatusReceivedTypes` class represents all status received types:

  `CM_NO_STATUS_RECEIVED`
  `CM_SEND_RECEIVED`
  `CM_CONFIRM_RECEIVED`
  `CM_CONFIRM_SEND_RECEIVED`
  `CM_CONFIRM_DEALLOC_RECEIVED`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_CONFIRM_DEALLOC_RECEIVED`
`static int` | `CM_CONFIRM_RECEIVED`
`static int` | `CM_CONFIRM_SEND_RECEIVED`
`static int` | `CM_NO_STATUS_RECEIVED`
`static int` | `CM_SEND_RECEIVED`

Constructor Summary
`SNAConstants.SNAStatusReceivedTypes()`

Method Summary
`static int` | `getCM_CONFIRM_DEALLOC_RECEIVED()`
`static int` | `getCM_CONFIRM_RECEIVED()`
`static int` | `getCM_CONFIRM_SEND_RECEIVED()`
`static int` | `getCM_NO_STATUS_RECEIVED()`
`static int` | `getCM_SEND_RECEIVED()`
`static java.lang.String` | `getStatusReceivedTypeString(int statusReceivedType)` Returns the statusReceivedType as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_NO_STATUS_RECEIVED

    public static final int CM_NO_STATUS_RECEIVED

See Also:
  Constant Field Values

### CM_SEND_RECEIVED

    public static final int CM_SEND_RECEIVED

See Also:
  Constant Field Values

### CM_CONFIRM_RECEIVED

    public static final int CM_CONFIRM_RECEIVED

See Also:
  Constant Field Values

### CM_CONFIRM_SEND_RECEIVED

    public static final int CM_CONFIRM_SEND_RECEIVED

See Also:
  Constant Field Values

### CM_CONFIRM_DEALLOC_RECEIVED

    public static final int CM_CONFIRM_DEALLOC_RECEIVED

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNAStatusReceivedTypes

    public SNAConstants.SNAStatusReceivedTypes()

Method Detail

### getCM_NO_STATUS_RECEIVED

    public static final int getCM_NO_STATUS_RECEIVED()

  Returns:
    CM_NO_STATUS_RECEIVED

### getCM_SEND_RECEIVED

    public static final int getCM_SEND_RECEIVED()

  Returns:
    CM_SEND_RECEIVED

### getCM_CONFIRM_RECEIVED

    public static final int getCM_CONFIRM_RECEIVED()

  Returns:
    CM_CONFIRM_RECEIVED

### getCM_CONFIRM_SEND_RECEIVED

    public static final int getCM_CONFIRM_SEND_RECEIVED()

  Returns:
    CM_CONFIRM_SEND_RECEIVED

### getCM_CONFIRM_DEALLOC_RECEIVED

    public static final int getCM_CONFIRM_DEALLOC_RECEIVED()

  Returns:
    CM_CONFIRM_DEALLOC_RECEIVED

### getStatusReceivedTypeString

    public static final java.lang.String getStatusReceivedTypeString(int statusReceivedType)

  Returns the statusReceivedType as String

  Parameters:
    `statusReceivedType` - The statusReceivedType in int
  Returns:
    The statusReceivedType as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.